// Code generated by mockery v1.1.0. DO NOT EDIT.

package gpg

import mock "github.com/stretchr/testify/mock"

// MockSigner is an autogenerated mock type for the Signer type
type MockSigner struct {
	mock.Mock
}

// SignFile provides a mock function with given fields: sourcePath, targetPath
func (_m *MockSigner) SignFile(sourcePath string, targetPath string) error {
	ret := _m.Called(sourcePath, targetPath)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string) error); ok {
		r0 = rf(sourcePath, targetPath)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
